App\Entity\Magasin:
    type: entity
    table: magasin
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        titre:
            type: string
            length: 255
            fixed: false
            nullable: false
        description:
            type: text
            nullable: true
        adresse:
            type: text
            nullable: false
        telephone:
            type: string
            length: 255
            fixed: false
            nullable: false
        fax:
            type: string
            length: 255
            fixed: false
            nullable: false
        email:
            type: string
            length: 255
            fixed: false
            nullable: false
        photo:
            type: string
            length: 255
            fixed: false
            nullable: true
        footer_documents:
            type: text
            nullable: true
        papier_entete:
            type: text
            nullable: true
        afficherEntete:
            type: boolean
            nullable: true
        afficherPaiement:
            type: boolean
            nullable: true
        icon:
            type: string
            length: 255
            fixed: false
            nullable: true
        lat:
            type: string
            length: 255
            fixed: false
            nullable: true
        lng:
            type: string
            length: 255
            fixed: false
            nullable: true
        zoom:
            type: string
            length: 255
            fixed: false
            nullable: true
        masqueNumCommande:
            type: string
            length: 255
            fixed: false
            nullable: true
        masqueNumFacture:
            type: string
            length: 255
            fixed: false
            nullable: true
        masqueNumOr:
            type: string
            length: 255
            fixed: false
            nullable: true
        masqueNumAvoir:
            type: string
            length: 255
            fixed: false
            nullable: true
        masqueNumBl:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateCycle:
            type: datetime
            nullable: true
        email_notification:
            type: boolean
            nullable: true
        sms_notification:
            type: boolean
            nullable: true
        whatsapp_notification:
            type: boolean
            nullable: true
        storefront:
            type: text
            nullable: true
        network:
            type: string
            length: 255
            nullable: true
        networkMaster:
            type: boolean
            nullable: true
        sav:
            type: boolean
            nullable: true
        activite:
            type: string
            length: 255
            fixed: false
            nullable: true
    manyToMany:
        utilisateurs:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: magasins
            inversedBy: null
            joinTable: null
            orderBy: null
    oneToMany:
        stocks:
            targetEntity: Stock
            mappedBy: magasin
        achats:
            targetEntity: Achat
            mappedBy: magasin
        fournisseurPaiements:
            targetEntity: PaiementAchat
            mappedBy: magasin
        ventes:
            targetEntity: Vente
            mappedBy: magasin
        clientPaiements:
            targetEntity: PaiementVente
            mappedBy: magasin
        devis:
            targetEntity: Devis
            mappedBy: magasin
        clients:
            targetEntity: Client
            mappedBy: magasin
        fournisseurs:
            targetEntity: Fournisseur
            mappedBy: magasin
        reparations:
            targetEntity: Reparation
            mappedBy: magasin
        vehicules:
            targetEntity: Vehicule
            mappedBy: magasin
        categories:
            targetEntity: Categorie
            mappedBy: magasin
            orderBy:
              parent: ASC
        produits:
            targetEntity: Produit
            mappedBy: magasin
        etats:
            targetEntity: EtatStock
            mappedBy: magasin
        depenses:
            targetEntity: Depense
            mappedBy: magasin
        traces:
            targetEntity: Trace
            mappedBy: magasin
        droitutilisateur:
            targetEntity: DroitUtilisateur
            mappedBy: magasin
        comptes:
            targetEntity: Compte
            mappedBy: magasin
        commandes:
            targetEntity: Commande
            mappedBy: magasin
        prospects:
            targetEntity: Prospect
            mappedBy: magasin
        evenements:
            targetEntity: ProspectEvenement
            mappedBy: magasin
        bookingTypes:
            targetEntity: BookingType
            mappedBy: magasin
        bookings:
            targetEntity: Booking
            mappedBy: magasin
        templates:
            targetEntity: DocumentTemplate
            mappedBy: magasin
        reparationTypes:
            targetEntity: ReparationType
            mappedBy: magasin
        dossiers:
            targetEntity: Dossier
            mappedBy: magasin